* 17 February 2022
* CVACS 
* Merging CVACS and derived dataset to create a cross-sectional dataset.

* Will run on all survey rounds

*===========================================================================================================================================
* GLOBALS FOR DATA FILES AND VERSION SUFFIXES

global DataIN "C:\Users\User\Desktop\Data"
global DataOUT "C:\Users\User\Desktop\Data"

global VersionIN "S1_Anon_V1.1.0"									// Wave and version of the data being used.
global VersionOUT "S1_merged"

version 15.1														// version of Stata being used.

*===========================================================================================================================================

* OPENING THE CVACS DATA

use "$DataIN\Unvaccinated_CVACS_$VersionIN.dta", clear				// opening the dataset
	
merge 1:1 pid using "$DataIN\derived_CVACS_$VersionIN.dta"			// merging in the derived dataset

drop _m

save "$DataOUT\Crosssection_$VersionOUT.dta", replace				// saving out the resulting dataset in the defined path, as per globals

*-------------------------------------------------------------------------------------------------------------------------------------------

*THE END
